varying mediump vec4 position;
varying mediump vec2 var_texcoord0;

uniform lowp sampler2D highlights_tex;
uniform lowp sampler2D light_tex;

void main()
{
	lowp vec4 highlights_col = texture2D(highlights_tex, var_texcoord0.xy); 
	lowp vec4 lights_col = texture2D(light_tex, var_texcoord0.xy);
	lowp vec4 final_col = highlights_col * lights_col;
	//final_col.a *= lights_col.a;
	gl_FragColor = final_col;
	//lowp vec2  center = vec2(0.5, 0.5);
	//lowp vec4 col = vec4(1.0, 1.0, 1.0, 1.0);
	//col *= distance(var_texcoord0.xy, center);
	//gl_FragColor = col;
}